## org.apache.mahout.math
Class AbstractVector.LocalElement

    java.lang.Object
      org.apache.mahout.math.AbstractVector.LocalElement

All Implemented Interfaces:
  Vector.Element

Enclosing class:
  AbstractVector

    protected final class AbstractVector.LocalElement

extends Object
implements Vector.Element

Method Summary
`double` `get()`
`int` `index()`
`void` `set(double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public double get()

  Specified by:
    `get` in interface `Vector.Element`
  Returns:
    the value of this vector element.

### index

    public int index()

  Specified by:
    `index` in interface `Vector.Element`
  Returns:
    the index of this vector element.

### set

    public void set(double value)

  Specified by:
    `set` in interface `Vector.Element`
  Parameters:
    `value` - Set the current element to value.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.